
--
-- Database: `idp_account_manager`
--

-- --------------------------------------------------------


CREATE TABLE `authenticationtokens` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `token` varchar(50) NOT NULL,
  `email_address` varchar(200) NOT NULL,
  `sp_entityid` varchar(200) NOT NULL,
  `creation_date` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `token_2` (`token`),
  KEY `token` (`token`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE `serviceproviders` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `entityid` varchar(200) NOT NULL,
  `displayname` varchar(500) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE `testaccounts` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `user_password_hash` varchar(50) NOT NULL,
  `creation_date` int(11) DEFAULT NULL,
  `expiration_date` int(11) DEFAULT NULL,
  `account_profile` varchar(100) NOT NULL,
  `sp_entityid` varchar(250) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;
